<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<f:metadata>
		<f:viewParam name="id"
			value="#{systemDetailsController.systemAcronym}" />
	</f:metadata>

	<ui:define name="content">
		<h:outputLabel value="#{strings.projects_progress}: " />
		<h:outputLabel value="#{authController.currentUser.projectsProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h:form>
			<h:link value="#{strings.back}"
				outcome="project_details?faces-redirect=true">
				<f:param name="id"
					value="#{systemDetailsController.system.project.number}" />
			</h:link>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.system_details}:" />
			</h3>
			<br />

			<h:outputLabel value="#{strings.project_number}: " />
			<h:outputLabel
				value="#{systemDetailsController.system.project.number}" />
			<br />

			<h:outputLabel value="#{strings.system_acronym}: " />
			<h:outputLabel value="#{systemDetailsController.system.acronym}" />
			<br />

			<h:outputLabel value="#{strings.progress}: " />
			<h:outputLabel value="#{systemDetailsController.system.progress}">
				<f:convertNumber type="percent" />
			</h:outputLabel>
			<br />

			<h:outputLabel value="#{strings.name}: " for="name_field" />
			<h:inputText value="#{systemDetailsController.name}" id="name_field">
				<f:ajax event="change"
					listener="#{systemDetailsController.didChangeValue}" />
			</h:inputText>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.activities}: " />
				<h:commandButton value="#{strings.create_activity}"
					action="#{systemDetailsController.addActivity}" />
			</h3>
		</h:form>

		<div>
			<ui:include src="/WEB-INF/coordinator/activity_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>